#!/bin/bash

readonly TARGET_MOUNTED_DRIVE="/volumeUSB1"
readonly SCRIPT_PATH="/volume2/homes/admin/marceload_backup/rsync_tmbackup.sh"
readonly SOURCE_DIR="/volume2/homes/admin/marceload_backup/test-folder"
readonly BACKUP_DIR="/volume2/homes/admin/marceload_backup/backup-folder"

# Check if /volumeUSB1 is mounted
if grep -qs "${TARGET_MOUNTED_DRIVE}" /proc/mounts; then
  echo "/volumeUSB1 is mounted. Starting backup..."

  # Ensure the backup script exists
  if [ -x "${SCRIPT_PATH}" ]; then
    # Run the backup script
    "${SCRIPT_PATH}" "${SOURCE_DIR}" "${BACKUP_DIR}"
    echo "Backup completed successfully."
  else
    echo "Error: Backup script not found or not executable: ${SCRIPT_PATH}"
    exit 1
  fi
else
  echo "${TARGET_MOUNTED_DRIVE} is not mounted. Skipping backup."
  exit 1
fi
